Package net.shibboleth.idp.cli.impl

# Class ModuleManagerArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments
net.shibboleth.idp.cli.impl.ModuleManagerArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class ModuleManagerArguments extends AbstractIdPHomeAwareCommandLineArguments
Arguments for `IdPModule` management CLI.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`clean`
Clean when disabling.
`private List<String>`
`disableModuleIds`
ID of module(s) to enable.
`private List<String>`
`enableModuleIds`
ID of module(s) to enable.
`private List<String>`
`infoModuleIds`
Detailed info about installed module(s).
`private boolean`
`list`
Brief info about installed modules.
`private org.slf4j.Logger`
`log`
Logger.
`private List<String>`
`testModuleIds`
Test status of installed module(s).

## Constructor Summary

Constructors
Constructor
Description
`ModuleManagerArguments()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getClean()`
Are we disabling with the clean option?
`Collection<String>`
`getDisableModuleIds()`
Gets the module ID(s) to disable.
`Collection<String>`
`getEnableModuleIds()`
Gets the module ID(s) to enable.
`Collection<String>`
`getInfoModuleIds()`
Gets the module ID(s) to report on.
`boolean`
`getList()`
Are we doing a list?
`org.slf4j.Logger`
`getLog()`
`Collection<String>`
`getTestModuleIds()`
Gets the module ID(s) to test.
`void`
`printHelp(PrintStream out)`
`void`
`validate()`

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

`getHttpClientName, getHttpClientSecurityParameterstName, getIdPHome, setHttpClientName`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

### list

private boolean list
Brief info about installed modules.

### infoModuleIds

@Nullable private List<String> infoModuleIds
Detailed info about installed module(s).

### testModuleIds

@Nullable private List<String> testModuleIds
Test status of installed module(s).

### enableModuleIds

@Nullable private List<String> enableModuleIds
ID of module(s) to enable.

### disableModuleIds

@Nullable private List<String> disableModuleIds
ID of module(s) to enable.

### clean

private boolean clean
Clean when disabling.

## Constructor Details

### ModuleManagerArguments

public ModuleManagerArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### getList

public boolean getList()
Are we doing a list?

Returns:
  whether this is a list operation

### getInfoModuleIds

@Nonnull @NotLive @Unmodifiable public Collection<String> getInfoModuleIds()
Gets the module ID(s) to report on.

Returns:
  module ID(s) to report on

### getTestModuleIds

@Nonnull @NotLive @Unmodifiable public Collection<String> getTestModuleIds()
Gets the module ID(s) to test.

Returns:
  module ID(s) to test

### getEnableModuleIds

@Nonnull @NotLive @Unmodifiable public Collection<String> getEnableModuleIds()
Gets the module ID(s) to enable.

Returns:
  module ID(s) to enable

### getDisableModuleIds

@Nonnull @NotLive @Unmodifiable public Collection<String> getDisableModuleIds()
Gets the module ID(s) to disable.

Returns:
  module ID(s) to disable

### getClean

public boolean getClean()
Are we disabling with the clean option?

Returns:
  clean option

### validate

public void validate() throws IllegalArgumentException

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`
Throws:
  `IllegalArgumentException`

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractIdPHomeAwareCommandLineArguments`